Loading...
Searching...
No Matches
BALL::PoseClustering::ClusterProperties Class Reference

`#include <BALL/DOCKING/COMMON/poseClustering.h>`

## Public Member Functions

| ClusterProperties ()
| ClusterProperties (const ClusterProperties &)
ClusterProperties & | operator= (const ClusterProperties &)
| ClusterProperties (ClusterProperties &&) BALL_NOEXCEPT
ClusterProperties & | operator= (ClusterProperties &&) BALL_NOEXCEPT
template<class Archive>
void | serialize (Archive &ar, const unsigned int version)

## Public Attributes

std::set< Index > | poses
Size | size
boost::variant< Eigen::VectorXf, RigidTransformation > | center
float | merged_at

## Detailed Description

Definition at line 228 of file poseClustering.h.

## Constructor & Destructor Documentation

## ClusterProperties() [1/3]

BALL::PoseClustering::ClusterProperties::ClusterProperties | ( |  | ) |

## ClusterProperties() [2/3]

BALL::PoseClustering::ClusterProperties::ClusterProperties | ( | const ClusterProperties & |  | ) |

## ClusterProperties() [3/3]

BALL::PoseClustering::ClusterProperties::ClusterProperties | ( | ClusterProperties && |  | ) |

## Member Function Documentation

## operator=() [1/2]

ClusterProperties & BALL::PoseClustering::ClusterProperties::operator= | ( | ClusterProperties && |  | ) |

## operator=() [2/2]

ClusterProperties & BALL::PoseClustering::ClusterProperties::operator= | ( | const ClusterProperties & |  | ) |

## serialize()

template<class Archive>

void BALL::PoseClustering::ClusterProperties::serialize | ( | Archive & | ar,
|  | const unsigned int | version )

Serialization method

## Member Data Documentation

## center

boost::variant<Eigen::VectorXf, RigidTransformation> BALL::PoseClustering::ClusterProperties::center

The center of the cluster. Depending on the type of transformations we allow, this is either stored as a rigid transformation or as the 3N-dimensional vector given by the atom coordinates. The special case of using only the center of mass is achieved by setting the rotation matrix to identity.

Definition at line 260 of file poseClustering.h.

## merged_at

float BALL::PoseClustering::ClusterProperties::merged_at

The value at which this cluster is merged with its sibling.

Definition at line 264 of file poseClustering.h.

## poses

std::set<Index> BALL::PoseClustering::ClusterProperties::poses

The poses contained in this cluster.

Definition at line 246 of file poseClustering.h.

## size

Size BALL::PoseClustering::ClusterProperties::size

The number of poses contained in this cluster.

Definition at line 250 of file poseClustering.h.